 extends Node

onready var gp_SO=ResourceLoader.load("res://ScenesAndScripts/SmallObject.scn")
onready var gp_BO=ResourceLoader.load("res://ScenesAndScripts/BigObject.scn")
onready var gp_Menu=ResourceLoader.load("res://ScenesAndScripts/Menu.scn")
onready var gp_Lokaciya=ResourceLoader.load("res://ScenesAndScripts/Lokaciya.scn")
onready var gp_PlayerRB=ResourceLoader.load("res://ScenesAndScripts/PlayerRB.scn")
onready var gp_PlayerKB=ResourceLoader.load("res://ScenesAndScripts/PlayerKB.scn")
onready var gp_Koren=get_tree().get_root()
onready var gp_AktivScena=gp_Koren.get_child(gp_Koren.get_child_count()-1)


var gp_GSO:int=0
var gp_GBO:int=0
var gp_VSO:int=0
var gp_VBO:int=0

###################################################################################################
#==================================================================================================

func scn_ZagruzkaPoID(vp_ID,vp_Pos):
	
	call_deferred("scn_Zagruzka",vp_ID,vp_Pos)
	pass


func scn_Zagruzka(vp_ID,vp_Poziciya):
	gp_AktivScena.free()
	
	if vp_ID=="Menu":
		gp_AktivScena=gp_Menu.instance()
		gp_Koren.add_child(gp_AktivScena)
		get_tree().set_current_scene(gp_AktivScena)
	elif vp_ID=="PlayerRB":
		gp_GSO=0
		gp_GBO=0
		gp_VSO=0
		gp_VBO=0

		gp_AktivScena=gp_Lokaciya.instance()
		gp_Koren.add_child(gp_AktivScena)
		get_tree().set_current_scene(gp_AktivScena)
		
		var vp_Scn1=gp_PlayerRB.instance()
		vp_Scn1.set_Position(vp_Poziciya)
		gp_AktivScena.add_child(vp_Scn1)
	elif vp_ID=="PlayerKB":
		gp_GSO=0
		gp_GBO=0
		gp_VSO=0
		gp_VBO=0

		gp_AktivScena=gp_Lokaciya.instance()
		gp_Koren.add_child(gp_AktivScena)
		get_tree().set_current_scene(gp_AktivScena)
		
		var vp_Scn1=gp_PlayerKB.instance()
		vp_Scn1.set_Position(vp_Poziciya)
		gp_AktivScena.add_child(vp_Scn1)
	pass


func scn_AddSO(vp_Poziciya):
	var vp_Scn1=gp_SO.instance()
	gp_AktivScena.add_child(vp_Scn1)
	vp_Scn1.set_translation(vp_Poziciya)
	gp_GSO=gp_GSO+1
	pass


func scn_AddBO(vp_Poziciya):
	var vp_Scn1=gp_BO.instance()
	gp_AktivScena.add_child(vp_Scn1)
	vp_Scn1.set_translation(vp_Poziciya)
	gp_GBO=gp_GBO+1
	pass


#=================================================================================================#
###################################################################################################
