extends RigidBody

onready var lp_Head=get_node("Head")
onready var lp_Eyes=get_node("Head/Eyes")
onready var lp_TVibros=get_node("Head/TVibros")
onready var TestSurface=get_node("TestSurface")


var lp_MishY=0.05
var lp_MishX=0.0008
var lp_PovorotTela=0

const lp_RegulatorDvigeniyaStandart=4.5
const lp_RegulatorDvigeniyaForsag=6
var   lp_VectorDvigeniya=Vector3()


###################################################################################################
#==================================================================================================


func _ready():
	TestSurface.add_exception(self)
	set_process_input(true)
	set_process(true)
	set_physics_process(true)
	Input.set_mouse_mode(Input.MOUSE_MODE_CAPTURED)
	pass


func _input(event):
	if event is InputEventMouseMotion:
		lp_PovorotTela=fmod(lp_PovorotTela-event.relative.x*lp_MishY,360)
		lp_Eyes.rotation.x=clamp(lp_Eyes.rotation.x-event.relative.y*lp_MishX,deg2rad(-95),deg2rad(95))
	pass


func _process(delta):
	if Input.is_action_pressed("ui_cancel"):
		Global.scn_ZagruzkaPoID("Menu",Vector3())
	if Input.is_action_pressed("ui_v_SO"):
		Global.scn_AddSO(lp_TVibros.get_global_transform().origin)
	if Input.is_action_pressed("ui_v_BO"):
		Global.scn_AddBO(lp_TVibros.get_global_transform().origin)

	if delta!=0:
		get_node("VBox/Label 1").text="Render FPS: "+str(round(1/delta))

	$VBox/Grid/T1_1.text=str(Global.gp_GSO)
	$VBox/Grid/T1_2.text=str(Global.gp_VSO)
	$VBox/Grid/T1_3.text=str(Global.gp_GSO-Global.gp_VSO)
	$VBox/Grid/T2_1.text=str(Global.gp_GBO)
	$VBox/Grid/T2_2.text=str(Global.gp_VBO)
	$VBox/Grid/T2_3.text=str(Global.gp_GBO-Global.gp_VBO)
	pass


func _physics_process(delta):
	if delta!=0:
		get_node("VBox/Label 2").text="Physics FPS: "+str(round(1/delta))

	lp_Head.rotation_degrees.y=lp_PovorotTela

	lp_VectorDvigeniya=Vector3()
	if Input.is_action_pressed("ui_up"):
		lp_VectorDvigeniya=lp_VectorDvigeniya-lp_Head.get_global_transform().basis[2]
	if Input.is_action_pressed("ui_down"):
		lp_VectorDvigeniya=lp_VectorDvigeniya+lp_Head.get_global_transform().basis[2]
	if Input.is_action_pressed("ui_left"):
		lp_VectorDvigeniya=lp_VectorDvigeniya-lp_Head.get_global_transform().basis[0]
	if Input.is_action_pressed("ui_right"):
		lp_VectorDvigeniya=lp_VectorDvigeniya+lp_Head.get_global_transform().basis[0]
	if Input.is_action_pressed("ui_accept"):
		lp_VectorDvigeniya[1]=0.6
	lp_VectorDvigeniya=lp_VectorDvigeniya*4.5

	if TestSurface.is_colliding():
		linear_velocity=lp_VectorDvigeniya
	pass


func set_Position(vp_Koordinati):
	set_translation(vp_Koordinati)
	pass


#=================================================================================================#
###################################################################################################
